import { world } from "@minecraft/server";

world.afterEvents.entityDie.subscribe((event) => {
    const dead_entity = event.deadEntity;
    const pa_glisten = "pa:glisten";
    const pa_tisha = "pa:tisha";
    const pa_boxten = "pa:boxten";
    const pa_poppy = "pa:poppy";
    const pa_shrimpo = "pa:shrimpo";
    const pa_toodles = "pa:toodles";
    const pa_fin = "pa:fin";
    const pa_vee = "pa:vee";
    const pa_shelly = "pa:shelly";
    const pa_dandy = "pa:dandy";
    const pa_flutter = "pa:flutter";
    const pa_brightney = "pa:brightney";
    const pa_astro = "pa:astro";
    const pa_cosmo = "pa:cosmo";
    const pa_sprout = "pa:sprout";
    const pa_teagan = "pa:teagan";
    const pa_rodger = "pa:rodger";
    const pa_gigi = "pa:gigi";
    const pa_connie = "pa:connie";
    const pa_pebble = "pa:pebble";
    const pa_looey = "pa:looey";
    const pa_scraps = "pa:scraps";
    const pa_ginger = "pa:ginger";
    const pa_bobette = "pa:bobette";
    const pa_rudie = "pa:rudie";
    const pa_coal = "pa:coal";

    const types = [
        pa_glisten,
        pa_tisha,
        pa_boxten,
        pa_poppy,
        pa_shrimpo,
        pa_toodles,
        pa_fin,
        pa_vee,
        pa_shelly,
        pa_dandy,
        pa_flutter,
        pa_brightney,
        pa_astro,
        pa_cosmo,
        pa_sprout,
        pa_teagan,
        pa_rodger,
        pa_gigi,
        pa_connie,
        pa_scraps,
        pa_ginger,
        pa_bobette,
        pa_rudie,
        pa_coal
    ];

    if (types.includes(dead_entity.typeId)) {
        dead_entity.runCommandAsync(`summon pa:inchor_splash`);
    }
});